#define git git20110204

Summary:	Manage desktop session autostarts
Name:     	lxsession-edit
Version:	0.2.0
Release:	%mkrel 5
License:	GPLv2+
Group:		Graphical desktop/Other
Source0: 	http://dfn.dl.sourceforge.net/sourceforge/lxde/%{name}-%{version}%{?git:-%{git}}.tar.gz
URL:		http://lxde.sourceforge.net/
BuildRequires:	gtk+2-devel
BuildRequires:	intltool

Requires:	lxsession

%description
lxsession-edit is a tool used to manage desktop session autostarts,
especially for lxsession.

%prep
%setup -q

%build
%configure2_5x
%make

%install
%makeinstall_std

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{_real_vendor}-%{name}.desktop << EOF
[Desktop Entry]
Name=%{name}
Comment=%{summary}
Exec=%{_bindir}/%{name}
Icon=preferences-other
Terminal=false
Type=Application
Categories=X-Mageia-CrossDesktop;Settings;DesktopSettings;
EOF
rm -f %{buildroot}%{_datadir}/applications/%{name}.desktop

%{find_lang} %{name}

%files -f %{name}.lang
%defattr(-, root, root)
%{_bindir}/%name
%{_datadir}/%name
%{_datadir}/applications/%{_real_vendor}-%{name}.desktop


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 0.2.0-5.mga3
+ Revision: 359206
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 25 2012 wally <wally> 0.2.0-4.mga3
+ Revision: 334938
- use release tar ball

* Tue Dec 25 2012 wally <wally> 0.2.0-3.mga3
+ Revision: 334930
- fix build

* Wed Jan 18 2012 obgr_seneca <obgr_seneca> 0.2.0-2.mga2
+ Revision: 197891
- added Requires for lxsession
- added desktop file

* Tue Feb 08 2011 ahmad <ahmad> 0.2.0-1.mga1
+ Revision: 48908
- ship a git snapshot so that it works with the new config file format
- imported package lxsession-edit

